MGASA-2021-0587 - Updated golang packages fix security vulnerability

Publication date: 26 Dec 2021
URL: https://advisories.mageia.org/MGASA-2021-0587.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-44716,
     CVE-2021-44717

net/https: limit growth of header canonicalization cache (CVE-2021-44716)
syscall: don't close fd 0 on ForkExec error (CVE-2021-44717)

References:
- https://bugs.mageia.org/show_bug.cgi?id=29807
- https://lists.suse.com/pipermail/sle-security-updates/2021-December/009942.html
- https://lists.opensuse.org/archives/list/[email protected]/thread/LSVRDOAVYBVEWAKYWYYNOIQSYE4FHHAJ/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-44716
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-44717

SRPMS:
- 8/core/golang-1.17.5-1.mga8